# Class CIM_StorageRedundancyGroup
extends CIM_RedundancyGroup

A class derived from RedundancyGroup containing mass storage-related redundancy information. StorageRedundancy Groups are used to protect user data. They act on one or more underlying StorageExtents, associated via ExtentRedundancyComponent and produce one or more protected StorageExtents that are associated to the underlying StorageExtents via ProtectedExtentBasedOn or CompositeExtentBasedOn. StorageRedundancyGroups may overlap. However, the underlying StorageExtents within the overlap should not contain any check data. The use of this class is being deprecated in lieu of using the StorageRedundancySet class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_RedundancyGroup
|
+--CIM_StorageRedundancyGroup

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_StorageRedundancySet

Description

string

A class derived from RedundancyGroup containing mass storage-related redundancy information. StorageRedundancy Groups are used to protect user data. They act on one or more underlying StorageExtents, associated via ExtentRedundancyComponent and produce one or more protected StorageExtents that are associated to the underlying StorageExtents via ProtectedExtentBasedOn or CompositeExtentBasedOn. StorageRedundancyGroups may overlap. However, the underlying StorageExtents within the overlap should not contain any check data. The use of this class is being deprecated in lieu of using the StorageRedundancySet class.

UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.13.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsConcatenated | boolean |
Deprecated | string | CIM_CompositeExtent.IsConcatenated
Description | string | True indicates that the data is concatenated across the various StorageExtents in the Group.
IsStriped | boolean |
Deprecated | string | CIM_CompositeExtent.ExtentStripeLength
Description | string | True indicates that the data is striped across the various StorageExtents in the Group.
StorageRedundancy | uint16 |
Deprecated | string | No value
Description | string | StorageRedundancy provides additional information on the state of the RedundancyGroup, beyond the RedundancyStatus property. Information like "Reconfig In Progress" (value =1) or "Redundancy Disabled" can be specified using this property.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | No Additional Status, Reconfig In Progress, Data Lost, Not Currently Configured, Protected Rebuild, Redundancy Disabled, Unprotected Rebuild, Recalculating, Verifying
TypeOfAlgorithm | uint16 |
Deprecated | string | CIM_StorageRedundancySet.TypeOfAlgorithm

Description

string

The TypeOfAlgorithm specifies the algorithm used for data redundancy and reconstruction. For example, "P+Q" (value =5) or "P+S" (7) may be specified. The value of 0, is defined as "None" to indicate that data redundancy is not active. An inactive redundancy should only be instantiated if data striping or concatenation are active. These are indicated by the IsStriped or IsConcatentated boolean properties of this RedundancyGroup.

MappingStrings | string | MIF.DMTF|Redundancy Group|001.2
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | None, Other, Unknown, Copy, XOR, P+Q, S, P+S

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_RedundancyGroup
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_RedundancyGroup
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RedundancyStatus | uint16 | CIM_RedundancyGroup
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods